import System;
import System.Windows.Forms;
import System.ComponentModel;
import System.Drawing;

package ResizeMe {
    class PanelForm extends System.Windows.Forms.Form {   
        private var label1: Label;
        private var textBox1: TextBox;
        private var button1: Button;
        private var panel1: Panel;

        function PanelForm() {                         
            this.Text= "Anchoring Demo: Resize Me"; 
            this.ClientSize= new System.Drawing.Size(300,350);
            this.StartPosition= System.Windows.Forms.FormStartPosition.CenterScreen;

            label1= new Label;       
            label1.Location= new Point(10,10);
            label1.Size= new System.Drawing.Size(80,20);
            label1.Name= "label1";
            label1.Text= "This is a Label";
            label1.Anchor= AnchorStyles.Left | AnchorStyles.Top;
                
            textBox1 = new TextBox;
            textBox1.Location= new Point(10,30);
            textBox1.Size = new System.Drawing.Size(90,20);
            textBox1.Name= "textBox1";
            textBox1.Text = "This is a TextBox";
            textBox1.Anchor= AnchorStyles.Left;                            

            button1= new Button;
            button1.Location= new Point(200,260);
            button1.Size= new System.Drawing.Size(90,20);
            button1.Name= "button1";
            button1.Text= "This is a Button";
            button1.Anchor= AnchorStyles.Right | AnchorStyles.Bottom;
                                              
            panel1= new Panel;
            panel1.Location= new Point(0,0);
            panel1.Size= new System.Drawing.Size(300,300);
            panel1.Name= "This is a Panel";
            panel1.Anchor= AnchorStyles.Top | AnchorStyles.Left;
            
            panel1.Controls.Add(label1);  
            panel1.Controls.Add(textBox1);
            panel1.Controls.Add(button1);

            this.Controls.Add(panel1);
        } 
    }
}

Application.Run(new ResizeMe.PanelForm());

