import System;
import System.Windows.Forms;
import System.ComponentModel;
import System.Drawing;

package MenuPkg {
    class ClickPanel extends System.Windows.Forms.Panel {
      override protected function OnMouseUp (e : MouseEventArgs) {
        super.OnMouseUp(e);
        MessageBox.Show("Mouse Up at: "+e.X+", "+ e.Y);
      } 
    } 

    class MenuCls extends System.Windows.Forms.Form {          
        private var label1: Label;
        private var textBox1: TextBox;
        private var button1: Button;              
        private var basePanel, bottomPanel, leftPanel: Panel;
		private var topPanel: ClickPanel;
		
		var menuMain : System.Windows.Forms.MainMenu;

        var menuFile : System.Windows.Forms.MenuItem; 
        var menuSave : System.Windows.Forms.MenuItem;

		private function menuSave_Clicked(o : Object, e : EventArgs) {
            MessageBox.Show("We should save the file now");
        }
		
		function button1_Clicked(o : Object, e : EventArgs) {
          MessageBox.Show(o.Name());
        }


        function MouseUpCls() {                          
            this.Text= "Menu Demo: Click the File menu entry at the top menu bar!";
            this.ClientSize= new System.Drawing.Size(500,300);
            this.StartPosition= System.Windows.Forms.FormStartPosition.CenterScreen;
             
            basePanel= new Panel;
            basePanel.Location= new Point(0,0);
            basePanel.Size= new System.Drawing.Size(500,300);
            basePanel.Name= "basePanel";
            basePanel.Anchor= AnchorStyles.Top | AnchorStyles.Left | AnchorStyles.Right | AnchorStyles.Bottom;
            
	        leftPanel= new Panel;
            leftPanel.Location= new Point(0,0);
            leftPanel.Size= new System.Drawing.Size(100,300);
            leftPanel.Name= "leftPanel";
            leftPanel.Dock= DockStyle.Left;
			leftPanel.BorderStyle = "Fixed3D";

            label1= new Label;        
            label1.Location= new Point(0,0);
            label1.Size= new System.Drawing.Size(80,20);
            label1.Name= "label1";
            label1.Text= "Label";
            label1.Anchor= AnchorStyles.Left | AnchorStyles.Top;
            leftPanel.Controls.Add(label1); 

            topPanel= new ClickPanel;
            topPanel.Location= new Point(100,0);
            topPanel.Size= new System.Drawing.Size(400,200);
            topPanel.Name= "topPanel";
            topPanel.Anchor= AnchorStyles.Top | AnchorStyles.Left | AnchorStyles.Right | AnchorStyles.Bottom;
            topPanel.BorderStyle = "Fixed3D";

            textBox1 = new TextBox;
            textBox1.Location= new Point(20,20);
            textBox1.Size = new System.Drawing.Size(80,20);
            textBox1.Name= "textBox1";
            textBox1.Text = "Hello World";
            textBox1.Anchor= AnchorStyles.Left | AnchorStyles.Top; 
            topPanel.Controls.Add(textBox1);
            
            bottomPanel= new Panel;
            bottomPanel.Location= new Point(100,200);
            bottomPanel.Size= new System.Drawing.Size(400,100);
            bottomPanel.Name= "bottomPanel";
            bottomPanel.Anchor= AnchorStyles.Left | AnchorStyles.Right | AnchorStyles.Bottom;
            bottomPanel.BorderStyle = "Fixed3D";
            
            button1= new Button;
            button1.Location= new Point(140,60);
            button1.Size= new System.Drawing.Size(80,20);
            button1.Name= "button1";
            button1.Text= "Button";
            button1.Anchor= AnchorStyles.Left;                                          
            bottomPanel.Controls.Add(button1);   
			button1.add_Click(button1_Clicked);                                                          

            basePanel.Controls.Add(topPanel);
            basePanel.Controls.Add(bottomPanel);
            basePanel.Controls.Add(leftPanel);
			
            menuSave = new System.Windows.Forms.MenuItem();
            menuSave.add_Click(menuSave_Clicked);
            menuSave.Text = "Save";
            menuSave.ShowShortcut = true;
			menuSave.Shortcut = "CtrlS";

            menuFile = new System.Windows.Forms.MenuItem();
            menuFile.MenuItems.Add(menuSave);
            menuFile.Text = "File";
            menuFile.ShowShortcut = false;

            menuMain = new System.Windows.Forms.MainMenu();
            menuMain.MenuItems.Add(menuFile);
			
			this.Menu = menuMain;
            this.Controls.Add(basePanel);
        } 
    } 
}

Application.Run(new MenuPkg.MenuCls());
